%global _hardened_build 1
%define major 1

Name:           lz4
Version:        r131
Release:        %mkrel 1
Summary:        Extremely fast compression algorithm

Group:          Archiving/Compression
License:        Executeable GPLv2 / Library BSD
URL:            https://code.google.com/p/lz4/
Source0:        https://lz4.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

%package devel
Summary:	Extremely fast compression algorithm
Group:		Development/Libraries
Requires:	%name = %version

%description devel
LZ4 is an extremely fast loss-less compression algorithm, providing compression
speed at 400 MB/s per core, scalable with multi-core CPU. It also features
an extremely fast decoder, with speed in multiple GB/s per core, typically
reaching RAM speed limits on multi-core systems.

This package contains the development headers and libraries for lz4.

%prep
%setup -q
# fix install locations on 64bit
%ifarch x86_64
sed -i 's|LIBDIR ?= $(PREFIX)/lib|LIBDIR = $(PREFIX)/lib64|g' Makefile
sed -i 's|LIBDIR?= $(PREFIX)/lib|LIBDIR = $(PREFIX)/lib64|g' lib/Makefile
%endif

%build
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr

# remove static library
rm -f %{buildroot}/%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%files
%{_bindir}/lz4
%{_bindir}/lz4c
%{_bindir}/lz4cat
%{_bindir}/unlz4
%{_mandir}
%{_libdir}/liblz4.so.%{major}*


%files devel
%{_includedir}/lz4*
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc


%changelog
* Fri Dec 02 2016 adrianomorselli <adrianomorselli> r131-1uplos2016
- rebuild

* Fri Jul 15 2016 bb <bb> r131-1pclos2016
- update

* Sat Feb 14 2015 ghostbunny <ghostbunny at gmx dot de> r127-1pclos2015
- r127
- clarify license executeables are gpl2 the library is BSD

* Fri Jul 25 2014 ghostbunny <ghostbunny at gmx dot de> r120-1pclos2014
- r120
- add new pkgconfig file to files section

